D_RECLAST(1)

NAME
d_reclast - find the last record in a table

SYNOPSIS
#include <typhoon.h>
d_reclast(ulong recid)

DESCRIPTION
d_reclast finds the last record in the table specified by recid. If d_reclast returns S_NOTFOUND the table is empty.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    A record was found.

S_NOTFOUND
    The key value was not found, i.e. the index is empty.

S_NOCD
    There is no current database.

S_INVREC
    The id is not a record id.

CURRENCY CHANGES
If S_OKAY is returned, the record found becomes the current record.

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1994 Thomas B. Pedersen.

SEE ALSO
d_recprev(1), d_recnext(1), d_recprev(1), d_recread(1).